Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 475934 - Review Request: m6812-elf-binutils - Cross Compiling GNU binutils targeted at m68hc12
Summary: Review Request: m6812-elf-binutils - Cross Compiling GNU binutils targeted at...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-12-11 05:59 UTC by Brennan Ashton
Modified: 2009-11-08 01:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-08 01:28:41 UTC


Attachments (Terms of Use)

Description Brennan Ashton 2008-12-11 05:59:38 UTC
Spec URL: http://bashton.fedorapeople.org/m6812-elf-binutils.spec
SRPM URL: http://bashton.fedorapeople.org/m6812-elf-binutils-2.15-1.fc10.src.rpm
Description: 
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the m68hc12 platform, instead of for the
native platform.


Patch 1 will not be submitted upstream as upstream already fixes it in later versions.  The later version is not being used as the cross compiler patch set may not be compatible. 

rpmlint is clean except for:
m6812-elf-binutils.i386: W: non-standard-dir-in-usr m6812-elf
which is ok for cross compilers

Comment 1 Brennan Ashton 2008-12-11 06:16:19 UTC
koji built fine:
http://koji.fedoraproject.org/koji/taskinfo?taskID=992757

Comment 2 Brennan Ashton 2008-12-12 08:26:06 UTC
please hold off reviewing this as the gcc part that needs this may need to use a newer version, due to a gcc 4 incompatibility with building gcc 3 and the crosscompiler upstream work being done on gcc 3

Comment 3 Ralf Corsepius 2008-12-12 14:38:41 UTC
Are you sure you want to ship something such kind of outdated as binutils-2.15?

To my knowledge (I have never used it), the m6812 is actively maintained in upstream binutils and supported "out of the box" in current version of binutils (2.19).

Comment 4 Brennan Ashton 2008-12-12 15:17:43 UTC
my understanding is they have kind of a strange development cycle. You have gcc/binuilts upstream that is doing there work, and then you have another GNU project that works on it as well. They have a fairly large patch set, but are maintaining it for the gcc 3.3.5 and binutils, these included new test cases and some things that they call "stability fixed" what ever that means. These are slowly pulled into upstream.  I want to look into this more and do some real hardware tests before someone spends the time to review this package.

Comment 5 Ralf Corsepius 2008-12-12 17:44:02 UTC
(In reply to comment #4)
> my understanding is they have kind of a strange development cycle.
Who is "they"?

Comment 6 Brennan Ashton 2008-12-13 00:25:17 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > my understanding is they have kind of a strange development cycle.
> Who is "they"?

Those in charge of the m6812 part of gcc.  The group that I am talking about that has the patches is http://www.gnu-m68hc11.org/m68hc11_inst_ptc.php

Comment 7 Ralf Corsepius 2008-12-13 08:07:19 UTC
> http://www.gnu-m68hc11.org/m68hc11_inst_ptc.php
/me thinks, this page is obsolete, for 2 reasons:

* the person listed as contact (Stephane C.), is the m68hc11/12 target's maintainer of the FSF toolchain.
* Almost all packages referenced on this page are _way_ outdated.

May-be you should contact him before proceeding with this package.

Comment 8 Brennan Ashton 2008-12-13 16:38:23 UTC
Yes, I have seen people using the 4.3 gcc, so I am working on building that right now.  I will do some tests on actual hardware to verify.  That other project has gone though states of being maintained and not it looks like, and many of the important links are broken.

Right now I am having issues with getting gcc to compile, there has been some change in the Fedora gcc, and it has broken even the "good" avr-gcc package building.

Comment 9 Jason Tibbitts 2009-07-14 22:21:08 UTC
Well, it's been eight months; has there been any progress?

Comment 10 Jason Tibbitts 2009-11-08 01:28:41 UTC
Given nearly four months of silence, I'm going to assume that's a big no and close this out.


Note You need to log in before you can comment on or make changes to this bug.